Skip to main content
PATCH
/
v3
/
vehicles
/
{vehicle_id}
Update a vehicle
curl --request PATCH \
  --url https://api.ctrl-hub.com/v3/vehicles/{vehicle_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "registration": "<string>",
      "vin": "<string>",
      "description": "<string>",
      "colour": "<string>",
      "status": "<string>"
    },
    "relationships": {
      "specification": {},
      "team": {},
      "assignee": {},
      "equipment": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  }
}
'
import requests

url = "https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}"

payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"registration": "<string>",
"vin": "<string>",
"description": "<string>",
"colour": "<string>",
"status": "<string>"
},
"relationships": {
"specification": {},
"team": {},
"assignee": {},
"equipment": { "data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
] }
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: '<string>',
attributes: {
registration: '<string>',
vin: '<string>',
description: '<string>',
colour: '<string>',
status: '<string>'
},
relationships: {
specification: {},
team: {},
assignee: {},
equipment: {data: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: '<string>'}]}
}
}
})
};

fetch('https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "registration": "<string>",
      "vin": "<string>",
      "description": "<string>",
      "colour": "<string>",
      "status": "<string>"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "sorn": true,
      "has_recall": true,
      "last_odometer_reading": 123,
      "counts": {
        "equipment": 123
      },
      "mot": {
        "is_valid": true,
        "records": 123,
        "last": {
          "at": "2023-11-07T05:31:56Z",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "tax": {
        "is_valid": true,
        "due": "<string>"
      },
      "checks": {
        "inventory": {
          "count": 123,
          "last": {
            "at": "2023-11-07T05:31:56Z",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "inspection": {
          "count": 123,
          "last": {
            "at": "2023-11-07T05:31:56Z",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      },
      "dvla": {
        "mot": {
          "exists": true,
          "last_sync": "2023-11-07T05:31:56Z",
          "data": {}
        },
        "ves": {
          "exists": true,
          "last_sync": "2023-11-07T05:31:56Z",
          "data": {}
        }
      }
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "specification": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "equipment": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "team": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "assignee": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "serial": "<string>",
        "status": "<string>"
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "model": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "vehicle": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}
{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}
{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}
{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

vehicle_id
string<uuid>
required

The unique identifier for the vehicle.

Body

application/vnd.api+json

The vehicle to update. All attributes and relationships are optional in a PATCH; only fields supplied are changed.

data
object
required

Response

Get a vehicle.

JSON API response object

data
object
required

A vehicle

jsonapi
object
required
included
object[]

Related resources that can be included when a vehicle is returned.

An equipment item